Package org.apache.lucene.sandbox.search

## Class PhraseWildcardQuery.TermBytesTermState

- java.lang.Object
- - org.apache.lucene.sandbox.search.PhraseWildcardQuery.TermBytesTermState

- Enclosing class:
    PhraseWildcardQuery

      public static class PhraseWildcardQuery.TermBytesTermState
      extends Object

  Holds a pair of term bytes - term state.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected BytesRef` | `termBytes` |
    `protected TermState` | `termState` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TermBytesTermState​(BytesRef termBytes, TermState termState)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### termBytes

          protected final BytesRef termBytes

    - #### termState

          protected final TermState termState

  - ### Constructor Detail

    - #### TermBytesTermState

          public TermBytesTermState​(BytesRef termBytes,
                                    TermState termState)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`